# BasicClassFactoryBase< T > Class Template Reference

Pure virtual interface for BasicClassFactory. More...

`#include <BasicClassFactoryBase.h>`

List of all members.

## Public Member Functions

virtual T * | create ()=0
virtual void | destroy (T *classNode)=0

## Detailed Description

### template<class T>
class BasicClassFactoryBase< T >

Pure virtual interface for BasicClassFactory.

## Member Function Documentation

template<class T>
virtual T* BasicClassFactoryBase< T >::create | ( |  | ) | `[pure virtual]`

| Implemented in BasicClassFactory< B, T >, and BasicClassGroupFactory.

template<class T>
virtual void BasicClassFactoryBase< T >::destroy | ( | T * | classNode | ) | `[pure virtual]`

| Implemented in BasicClassFactory< B, T >, and BasicClassGroupFactory.

The documentation for this class was generated from the following file:

- BasicClassFactoryBase.h